Package org.sonatype.maven.polyglot.mapping

# Interface Mapping

All Known Implementing Classes:
  `GroovyMapping`, `MappingSupport`, `XmlMapping`

public interface Mapping
Provides a mapping to polyglot specific models.

Since:
  0.7
Author:
  Jason Dillon

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(Map<String,?> options)`
`float`
`getPriority()`
`org.apache.maven.model.io.ModelReader`
`getReader()`
`org.apache.maven.model.io.ModelWriter`
`getWriter()`
`File`
`locatePom(File dir)`

## Method Details

### locatePom

File locatePom(File dir)

### accept

boolean accept(Map<String,?> options)

### getReader

org.apache.maven.model.io.ModelReader getReader()

### getWriter

org.apache.maven.model.io.ModelWriter getWriter()

### getPriority

float getPriority()